Removed unused deps and clarify existing deps

Review Request #4170 — Created Aug. 18, 2016 and submitted

echuba
intellij-pants-plugin
4167
pants-reviews
kwlzn, molsen, stuhood, wisechengyi

Remove all unused deps in project and replaced all usages of import * (java) or import _ (scala) refs.

https://travis-ci.org/ebubae/intellij-pants-plugin/builds/153393064

  • 0
  • 0
  • 1
  • 0
  • 1
Description From Last Updated
WI
  1. Ship It!
  2. 
      
IT
  1. thanks for the cleanup!

    1. that's what interns are for

  2. 
      
WI
EC
WI
  1. [tw-mbp-yic intellij-16-plugin (master)]$ git apply /Users/yic/Downloads/rb4170.patch 
    error: patch failed: src/com/twitter/intellij/pants/PantsManager.java:35
    error: src/com/twitter/intellij/pants/PantsManager.java: patch does not apply
    error: patch failed: src/com/twitter/intellij/pants/execution/PantsClasspathRunConfigurationExtension.java:33
    error: src/com/twitter/intellij/pants/execution/PantsClasspathRunConfigurationExtension.java: patch does not apply
    error: patch failed: src/com/twitter/intellij/pants/execution/PantsMakeBeforeRun.java:45
    error: src/com/twitter/intellij/pants/execution/PantsMakeBeforeRun.java: patch does not apply
    error: patch failed: src/com/twitter/intellij/pants/psi/reference/PantsPsiReferenceBase.java:11
    error: src/com/twitter/intellij/pants/psi/reference/PantsPsiReferenceBase.java: patch does not apply
    error: patch failed: src/com/twitter/intellij/pants/service/python/PythonPexResolver.java:15
    error: src/com/twitter/intellij/pants/service/python/PythonPexResolver.java: patch does not apply
    

    quite some conflicts with master.

    1. oh i see. it depends on the other RB first.

  2. 
      
WI
  1. merged as 9ed5383b54a264fc93ac669a677a4efabb10af29. thanks1

  2. 
      
EC
Review request changed

Status: Closed (submitted)

Loading...